## logtrend-doc 0.82.2-1

=== doc/Makefile ===
#$Header: /home2/cvsroot/LogTrend/Doc/Makefile,v 1.1.2.1 2002/02/08 18:12:52 lsimonneau Exp $
####################################################
##  Makefile for Logtrend's doc in SGML/Docbook   ##
##        Frdric Dubuy - July, 18 2001          ##
####################################################
#$Log: Makefile,v $
#Revision 1.1.2.1  2002/02/08 18:12:52  lsimonneau
#*** empty log message ***
#
#Revision 1.1  2002/02/08 18:01:02  lsimonneau
#*** empty log message ***
#
#Revision 1.2  2002/02/07 14:00:37  lsimonneau
#*** empty log message ***
#
#Revision 1.1.4.1  2002/02/07 13:20:39  lsimonneau
#*** empty log message ***
#
#Revision 1.1  2001/09/27 16:42:46  slhullier
#*** empty log message ***
#
#Revision 1.1  2001/09/25 08:15:33  lsimonneau
#rename complex_alarm_doc as complex-alarm
#
#Revision 1.1  2001/09/24 16:29:33  lsimonneau
#First release of the complex alarm documentation.
#
#Revision 1.1  2001/09/24 14:02:33  slhullier
#First Doc version in CVS
#


SOURCES = Agent/developer-guide/agent-developer-guide.sgml \
	  Agent/install-guide/agent-install-guide.sgml \
          ComplexAlarm/ComplexAlarmDevel.sgml ComplexAlarm/ComplexAlarm.sgml \
          Consolidation/Consolidation.sgml LogTrend/Presentation.sgml \
	  StorageServer/StorageServer.sgml \
	  Visu/visu.sgml


# Program paths
SHELL =`which bash`
SGMLTOOLS =`which sgmltools` 
PS2PDF = `which ps2pdf`

# File where global variables can be found
VARDEFS = tools/global.ent

#Logo for HTML version
LOGOHTML = logo.jpg

#Logo for PS/PDF versions
LOGOPS = tools/logo_logtrend.eps

#DSSSL Stylesheet
DSSSL = tools/logtrend.dsl


all : all_pdf all_ps all_txt 

all_pdf : $(SOURCES:.sgml=.pdf)

all_ps : $(SOURCES:.sgml=.ps)

all_html : $(SOURCES:.sgml=.html)

all_txt : $(SOURCES:.sgml=.txt)

%.ps : %.sgml $(LOGOPS) $(DSSSL)
	@echo "<!ENTITY % output.html  \"IGNORE\">" >$(VARDEFS) 
	@echo "<!ENTITY % output.print \"INCLUDE\">" >>$(VARDEFS)
	@echo "<!ENTITY logo \""$(LOGOPS)"\">" >>$(VARDEFS)
	@$(SGMLTOOLS) -b ps -s $(DSSSL)  $*.sgml


%.html : %.sgml  $(DSSSL)
	@echo "<!ENTITY % output.html  \"INCLUDE\">" >$(VARDEFS)
	@echo "<!ENTITY % output.print \"IGNORE\">" >>$(VARDEFS)
	@echo "<!ENTITY logo \""$(LOGOHTML)"\">" >>$(VARDEFS)
	@$(SGMLTOOLS) -b onehtml -s $(DSSSL) $*.sgml 
	@rm -Rf `dirname $*`/html
	@mkdir `dirname $*`/html
	@mv *.html `dirname $*`/html	
	@cp tools/$(LOGOHTML) `dirname $*`/html	
	@(cp -f `dirname $*`/*.jpg `dirname $*`/html 2>/dev/null ; true)

%.pdf : %.ps
	@$(PS2PDF) $*.ps

%.txt : %.sgml
	@echo "<!ENTITY % output.html  \"INCLUDE\">" >$(VARDEFS)
	@echo "<!ENTITY % output.print \"IGNORE\">" >>$(VARDEFS)
	@echo "<!ENTITY logo \""$(LOGOHTML)"\">" >>$(VARDEFS)
	@$(SGMLTOOLS) -b txt $*.sgml

=== debian/changelog ===
logtrend-doc (0.82.2-1) unstable; urgency=low

  * New upstream version.
  * Added SimpleAgent sample code.

 -- Jean-Francois Dive <jef@debian.org>  Tue, 30 Jul 2002 18:30:20 +1000

logtrend-doc (0.81-3) unstable; urgency=low

  * New Maintainer (closes: #134844).
  * Interim release, new upstream version integration is pending on crypto
    integration in main.

 -- Jean-Francois Dive <jef@linuxbe.org>  Wed, 27 Mar 2002 13:37:09 +1100

logtrend-doc (0.81-2) unstable; urgency=low

  * Orphaned becouse I'll no longer use this

 -- Maurizio Boriani <baux@debian.org>  Tue, 19 Feb 2002 13:21:48 +0100

logtrend-doc (0.81-1) unstable; urgency=low

  * Initial Release.

 -- Maurizio Boriani <baux@debian.org>  Tue,  4 Dec 2001 18:05:48 +0100

=== debian/control ===
Source: logtrend-doc
Section: doc
Priority: optional
Maintainer: Jean-Francois Dive <jef@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: logtrend-doc
Architecture: any
Description: logtrend docs 
 This packages contains some documents which explain how
 this monitoring system works.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_COMPAT=3

ifndef PERL
PERL = /usr/bin/perl
endif

build: build-stamp
build-stamp:
	dh_testdir
	
	# Add here commands to compile the package.
	$(PERL) Makefile.PL INSTALLDIRS=vendor
	$(MAKE) OPTIMIZE="-O2 -g -Wall"
	$(MAKE) test

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) PREFIX=`pwd`/debian/logtrend-doc/usr install
	rm -rf PREFIX=`pwd`/debian/logtrend-doc/usr/lib
	rm -rf PREFIX=`pwd`/debian/logtrend-doc/usr/share/perl5
	
# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.


# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot

	dh_installdocs			README 
	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
